# xarray.backends.PydapDataStore

class `xarray.backends.``PydapDataStore`(ds)

  Store for accessing OpenDAP datasets with pydap.

  This store provides an alternative way to access OpenDAP datasets that may be useful if the netCDF4 library is not available.

  `__init__`(ds)

    Parameters: | ds (pydap DatasetType) –

  Methods

  `__init__`(ds)

  param ds: |

  `close`() |
  `get`(k[,d]) |
  `get_attrs`() |
  `get_dimensions`() |
  `get_encoding`() |
  `get_variables`() |
  `items`() |
  `keys`() |
  `load`() | This loads the variables and attributes simultaneously.
  `open`(url[, session]) |
  `open_store_variable`(var) |
  `values`() |

  Attributes

  `attrs` |
  `dimensions` |
  `variables` |